# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Locale-Maketext-Simple
Version:	0.21
Release:	1.%{__distinit}%{__distvers}
Summary:	Simple interface to Locale::Maketext::Lexicon
License:	MIT
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Locale-Maketext-Simple/
Source0:	http://search.cpan.org/CPAN/authors/id/J/JE/JESSE/Locale-Maketext-Simple-%{version}.tar.gz
Source1:	3C3501A0.asc
Source2:	108E4046.asc
Source3:	161C06B1.asc
Patch0:		Locale-Maketext-Simple-0.21-perl580.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Locale::Maketext::Lexicon) >= 0.20
BuildRequires:	perl(Module::Signature)
BuildRequires:	perl(Test::More)
Requires:	perl(Locale::Maketext::Lexicon) >= 0.20
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is a simple wrapper around Locale::Maketext::Lexicon, designed
to alleviate the need of creating Language Classes for module authors.

%prep
%setup -q -c -n Locale-Maketext-Simple

# i-default test doesn't work on really ancient distributions
cd Locale-Maketext-Simple-%{version}
if %{__perl} -e 'exit($^V and $^V gt 5.8.0);'; then
%patch0 -p2
fi
cd -

# Copy up documentation for convenience with %%doc
%{__cp} -a Locale-Maketext-Simple-%{version}/{Changes,README} .

# Create a GPG directory for testing, to avoid using ~/.gnupg
%{__mkdir} --mode=0700 gnupghome
export GNUPGHOME=$(pwd)/gnupghome
%{__gpg} --import %{SOURCE1} %{SOURCE2} %{SOURCE3} || :

%build
cd Locale-Maketext-Simple-%{version}
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}
cd -

%install
%{__rm} -rf %{buildroot}
%{__make} -C Locale-Maketext-Simple-%{version} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} \;
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
export GNUPGHOME=$(pwd)/gnupghome
%{__make} -C Locale-Maketext-Simple-%{version} test TEST_SIGNATURE=1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Locale/
%{_mandir}/man3/Locale::Maketext::Simple.3pm*

%changelog
* Thu Dec  9 2010 Paul Howarth <paul@city-fan.org> 0.21-1
- Update to 0.21
  - Add ability to have the IANA defined i-default language as a fallback when
    arbitrary message keys rather than English phrases are being used
- This release by JESSE -> update source URL and add GPG key
- BR: perl(Test::More)
- Patch out i-default test on ancient distributions where it doesn't work

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> 0.18-3
- Import from Fedora
- Re-enable signature test

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.18-2
- Use fixperms macro instead of our own chmod incantation
- BR ExtUtils::MakeMaker

* Sun Sep 17 2006 Steven Pritchard <steve@kspei.com> 0.18-1
- Update to 0.18

* Mon Aug 14 2006 Steven Pritchard <steve@kspei.com> 0.17-1
- Update to 0.17
- Fix find option order

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> 0.16-1
- Update to 0.16
- License has changed to MIT

* Fri Apr 21 2006 Steven Pritchard <steve@kspei.com> 0.13-1
- Update to 0.13

* Mon Apr 10 2006 Steven Pritchard <steve@kspei.com> 0.12-2
- Explicitly require perl(Locale::Maketext::Lexicon)

* Sat Apr 08 2006 Steven Pritchard <steve@kspei.com> 0.12-1
- Specfile autogenerated by cpanspec 1.64
- Remove Module::Signature test
